List all decisions for a business

get/businesses/{fp_bid}/decisions
Preview
External ID
Locked
Returns the decisions made for this business, newest first. Includes both automated decisions from playbook rules and manual decisions made by dashboard users.

Request

Path parameters

fp_bid·

string

Query parameters

page·

optional integer

page_size·

optional integer

Response

data·

array of objects

annotation·

optional string

The annotation left by a human as part of this decision. Only populated for some decisions with kind manual.

kind·

string

Allowed values:

manual
playbook_run
playbook_key·

optional string

reviewer_email·

optional string

The email of the reviewer who made this decision. Only populated for some decisions with kind manual.

status·

string

Allowed values:

fail
pass
none
timestamp·

string

meta·

object

GET /businesses/{fp_bid}/decisions
1curl https://api.onefootprint.com/businesses/{fp_bid}/decisions \
2  -u sk_test_xxxxx:
Response example
{
  "data": [
    {
      "annotation": "Lorem ipsum dolor",
      "kind": "manual",
      "playbook_key": "pb_test_xxxxx",
      "reviewer_email": "Lorem ipsum dolor",
      "status": "fail",
      "timestamp": "2022-01-04T12:00-07:00"
    },
    {
      "annotation": "Lorem ipsum dolor",
      "kind": "manual",
      "playbook_key": "pb_test_xxxxx",
      "reviewer_email": "Lorem ipsum dolor",
      "status": "fail",
      "timestamp": "2022-01-04T12:00-07:00"
    }
  ],
  "meta": {
    "next_page": 2
  }
}